Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.coverage
Class SampleDimension

    java.lang.Object
      org.deegree.model.coverage.SampleDimension

All Implemented Interfaces:
  Serializable

    public class SampleDimension

extends Object
implements Serializable

Contains information for an individual sample dimension of coverage. This interface is applicable to any coverage type. For grid coverages, the sample dimension refers to an individual band.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`SampleDimension(String[] categoryNames, String description, double minimumValue, double maximumValue, ParameterValueIm[] metadata, double[] noData, int offset, int[][] colorPalette, double scale, String units, ColorInterpretation colorInterpretation, PaletteInterpretation paletteInterpretation, SampleDimensionType sampleDimensionType)`

Method Summary
`String[]` | `getCategoryNames()` Sequence of category names for the values contained in a sample dimension.
`ColorInterpretation` | `getColorInterpretation()` Color interpretation of the sample dimension.
`String` | `getDescription()` Sample dimension title or description.
`double` | `getMaximumValue()` The maximum value occurring in the sample dimension.
`String[]` | `getMetaDataNames()` The list of metadata keywords for a sample dimension.
`String` | `getMetadataValue(String name)` Retrieve the metadata value for a given metadata name.
`double` | `getMinimumValue()` The minimum value occurring in the sample dimension.
`double[]` | `getNoDataValues()` Values to indicate no data values for the sample dimension.
`double` | `getOffset()` Offset is the value to add to grid values for this sample dimension.
`int[][]` | `getPalette()` Color palette associated with the sample dimension.
`PaletteInterpretation` | `getPaletteInterpretation()` Indicates the type of color palette entry for sample dimensions which have a palette.
`SampleDimensionType` | `getSampleDimensionType()` A code value indicating grid value data type.
`double` | `getScale()` Scale is the value which is multiplied to grid values for this sample dimension.
`String` | `getUnits()` The unit information for this sample dimension.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SampleDimension

    public SampleDimension(String[] categoryNames,
                           String description,
                           double minimumValue,
                           double maximumValue,
                           ParameterValueIm[] metadata,
                           double[] noData,
                           int offset,
                           int[][] colorPalette,
                           double scale,
                           String units,
                           ColorInterpretation colorInterpretation,
                           PaletteInterpretation paletteInterpretation,
                           SampleDimensionType sampleDimensionType)

Parameters:
  `categoryNames` -
  `description` -
  `minimumValue` -
  `maximumValue` -
  `metadata` -
  `noData` -
  `offset` -
  `colorPalette` -
  `scale` -
  `units` -
  `colorInterpretation` -
  `paletteInterpretation` -
  `sampleDimensionType` -

Method Detail

### getCategoryNames

    public String[] getCategoryNames()

  Sequence of category names for the values contained in a sample dimension. This allows for names to be assigned to numerical values. The first entry in the sequence relates to a cell value of zero. For grid coverages, category names are only valid for a classified grid data. For example:
  - 0 Background
  - 1 Water
  - 2 Forest
  - 3 Urban
  Note: If no category names exist, an empty sequence is returned.

  Returns:
    the sequence of category names for the values contained in a sample dimension.

### getColorInterpretation

    public ColorInterpretation getColorInterpretation()

  Color interpretation of the sample dimension. A sample dimension can be an index into a color palette or be a color model component. If the sample dimension is not assigned a color interpretation the value is `Undefined`.

  Returns:
    the color interpretation of the sample dimension.

### getDescription

    public String getDescription()

  Sample dimension title or description. This string may be null or empty if no description is present.

  Returns:
    the sample dimension title or description.

### getMaximumValue

    public double getMaximumValue()

  The maximum value occurring in the sample dimension. If this value is not available, this value can be determined from the "org.opengis" operation. This value can be empty if this value is not provided by the implementation.

  Returns:
    the maximum value occurring in the sample dimension.

### getMetaDataNames

    public String[] getMetaDataNames()

  The list of metadata keywords for a sample dimension. If no metadata is available, the sequence will be empty.

  Returns:
    the list of metadata keywords for a sample dimension.

### getMetadataValue

    public String getMetadataValue(String name)

  Retrieve the metadata value for a given metadata name.

  Parameters:
    `name` - Metadata keyword for which to retrieve metadata.
  Returns:
    the metadata value for a given metadata name.

### getMinimumValue

    public double getMinimumValue()

  The minimum value occurring in the sample dimension. This value can be empty if this value is not provided by the implementation.

  Returns:
    the minimum value occurring in the sample dimension.

### getNoDataValues

    public double[] getNoDataValues()

  Values to indicate no data values for the sample dimension. For low precision sample dimensions, this will often be no data values.

  Returns:
    the values to indicate no data values for the sample dimension.

### getOffset

    public double getOffset()

  Offset is the value to add to grid values for this sample dimension. This attribute is typically used when the sample dimension represents elevation data. The default for this value is 0.

  Returns:
    the offset is the value to add to grid values for this sample dimension.

### getPalette

    public int[][] getPalette()

  Color palette associated with the sample dimension. A color palette can have any number of colors. See palette interpretation for meaning of the palette entries. If the grid coverage has no color palette, an empty sequence will be returned.

  Returns:
    the color palette associated with the sample dimension.

### getPaletteInterpretation

    public PaletteInterpretation getPaletteInterpretation()

  Indicates the type of color palette entry for sample dimensions which have a palette. If a sample dimension has a palette, the color interpretation must be `GrayIndex` or `PaletteIndex`. A palette entry type can be Gray, RGB, CMYK or HLS.

  Returns:
    the type of color palette entry for sample dimensions which have a palette.

### getSampleDimensionType

    public SampleDimensionType getSampleDimensionType()

  A code value indicating grid value data type. This will also indicate the number of bits for the data type.

  Returns:
    a code value indicating grid value data type.

### getScale

    public double getScale()

  Scale is the value which is multiplied to grid values for this sample dimension. This attribute is typically used when the sample dimension represents elevation data. The default for this value is 1.

  Returns:
    the scale.

### getUnits

    public String getUnits()

  The unit information for this sample dimension. This interface typically is provided with grid coverages which represent digital elevation data. This value will be `null` if no unit information is available.

  Returns:
    the unit information for this sample dimension.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org